### Signal

# WebKit WebView::run-color-chooser

since: 2.8

#### Declaration

    gboolean
    run_color_chooser (
      WebKitWebView* self,
      WebKitColorChooserRequest* request,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the user interacts with a HTML element, requesting from WebKit to show a dialog to select a color. To let the application know the details of the color chooser, as well as to allow the client application to either cancel the request or perform an actual color selection, the signal will pass an instance of the `WebKitColorChooserRequest` in the `request` argument.

It is possible to handle this request asynchronously by increasing the reference count of the request.

The default signal handler will asynchronously run a regular `GtkColorChooser` for the user to interact with.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.8

#### Parameters

`request`

  Type: `WebKitColorChooserRequest`

  A `WebKitColorChooserRequest`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.